<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
  require('load_this/load_bigware_11.php');
  require(FOLDER_RELATIV_CLASSES . 'class_bigware_1.php');
  $currencies = new currencies();
  $action = (isset($_GET['action']) ? $_GET['action'] : '');
  if (go_not_null($action)) {
    switch ($action) {
      case 'setflag':
        go_set_specials_status($_GET['id'], $_GET['flag']);
        go_forward(go_href_link(NAME_OF_FILE_SPECIALS, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'sID=' . $_GET['id'], 'NONSSL'));
        break;
      case 'insert':
        $items_id = go_db_producing_input($_POST['items_id']);
        $items_price = go_db_producing_input($_POST['items_price']);
        $specials_price = go_db_producing_input($_POST['specials_price']);
        $day = go_db_producing_input($_POST['day']);
        $month = go_db_producing_input($_POST['month']);
        $year = go_db_producing_input($_POST['year']); 
		$attendees_group=go_db_producing_input($_POST['attendees_group']);
		$price_query = go_db_query("select attendees_group_price from " . DB_TBL_ITEMS_GROUPS. " WHERE items_id = ".(int)$items_id . " AND attendees_group_id  = ".(int)$attendees_group);
		while ($gprices =  go_db_fetch_array($price_query)) {
			$items_price=$gprices['attendees_group_price'];
		} 
        if (substr($specials_price, -1) == '%') {
          $new_special_insert_query = go_db_query("select items_id, items_price from " . DB_TBL_ITEMS . " where items_id = '" . (int)$items_id . "'");
          $new_special_insert = go_db_fetch_array($new_special_insert_query);
          $items_price = $new_special_insert['items_price'];
          $specials_price = ($items_price - (($specials_price / 100) * $items_price));
        }
        $expires_date = '';
        if (go_not_null($day) && go_not_null($month) && go_not_null($year)) {
          $expires_date = $year;
          $expires_date .= (strlen($month) == 1) ? '0' . $month : $month;
          $expires_date .= (strlen($day) == 1) ? '0' . $day : $day;
        } 
        go_db_query("insert into " . DB_TBL_SPECIALS . " (items_id, specials_new_items_price, specials_date_added, expires_date, status, attendees_group_id) values ('" . (int)$items_id . "', '" . go_db_input($specials_price) . "', now(), '" . go_db_input($expires_date) . "', '1', ".(int)$attendees_group.")"); 
        go_forward(go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page']));
        break;
      case 'update':
        $specials_id = go_db_producing_input($_POST['specials_id']);
        $items_price = go_db_producing_input($_POST['items_price']);
        $specials_price = go_db_producing_input($_POST['specials_price']);
        $day = go_db_producing_input($_POST['day']);
        $month = go_db_producing_input($_POST['month']);
        $year = go_db_producing_input($_POST['year']); 
		$attendees_group=go_db_producing_input($_POST['attendees_group']);
		$price_query = go_db_query("select attendees_group_price from " . DB_TBL_ITEMS_GROUPS. " WHERE items_id = ".(int)$items_id . " AND attendees_group_id  = ".(int)$attendees_group);
		while ($gprices =  go_db_fetch_array($price_query)) {
			$items_price=$gprices['attendees_group_price'];
		} 
        if (substr($specials_price, -1) == '%') $specials_price = ($items_price - (($specials_price / 100) * $items_price));
        $expires_date = '';
        if (go_not_null($day) && go_not_null($month) && go_not_null($year)) {
          $expires_date = $year;
          $expires_date .= (strlen($month) == 1) ? '0' . $month : $month;
          $expires_date .= (strlen($day) == 1) ? '0' . $day : $day;
        } 
        go_db_query("update " . DB_TBL_SPECIALS . " set specials_new_items_price = '" . go_db_input($specials_price) . "', attendees_group_id = '" . $attendees_group . "', specials_last_modified = now(), expires_date = '" . go_db_input($expires_date) . "' where specials_id = '" . (int)$specials_id . "'"); 
        go_forward(go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials_id));
        break;
      case 'deleteconfirm':
        $specials_id = go_db_producing_input($_GET['sID']);
        go_db_query("delete from " . DB_TBL_SPECIALS . " where specials_id = '" . (int)$specials_id . "'");
        go_forward(go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page']));
        break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/menu.js"></script>
<script language="javascript" src="load_this/general.js"></script>
<?php
  if ( ($action == 'new') || ($action == 'change') ) {
?>
<link rel="stylesheet" type="text/css" href="load_this/javascript/calendar.css">
<script language="JavaScript" src="load_this/javascript/calendarcode.js"></script>
<?php
  }
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="popupcalendar" class="text"></div>
<!-- header //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo FRAME_WIDTH; ?>" valign="top">
<!-- left_navigation //-->
<!-- left_navigation_eof //-->
</td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageGeneralsign"><?php echo ABOVE_TITLE; ?></td>
            <td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('tranparentes.gif', ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
<?php
  if ( ($action == 'new') || ($action == 'change') ) {
    $form_action = 'insert';
    if ( ($action == 'change') && isset($_GET['sID']) ) {
      $form_action = 'update'; 
      $item_query = go_db_query("select p.items_id, pd.items_name, s.attendees_group_id, p.items_price, s.specials_new_items_price, s.expires_date from " . DB_TBL_ITEMS . " p, " . DB_TBL_ITEMS_DESCRIPTION . " pd, " . DB_TBL_SPECIALS . " s where p.items_id = pd.items_id and pd.language_id = '" . (int)$languages_id . "' and p.items_id = s.items_id and s.specials_id = '" . (int)$_GET['sID'] . "'"); 
      $item = go_db_fetch_array($item_query);
      $sInfo = new objectInfo($item);
    } else {
      $sInfo = new objectInfo(array());  
      $specials_array = array(); 
      $specials_query = go_db_query("select p.items_id, s.attendees_group_id from " . DB_TBL_ITEMS . " p, " . DB_TBL_SPECIALS . " s where s.items_id = p.items_id");
      while ($specials = go_db_fetch_array($specials_query)) {
        $specials_array[] = (int)$specials['items_id'].":".(int)$specials['attendees_group_id'];
      }
	  $attendees_groups_query = go_db_query("select attendees_group_name, attendees_group_id from " . DB_TBL_ATTENDEES_GROUPS . " order by attendees_group_id ");
	  $input_groups=array();
	  $all_groups=array();
	   	  
	  if(isset($_GET['sID']) && $sInfo->attendees_group_id!=0) {
	  	$attendee_group_price_query = go_db_query("select attendees_group_price from " . DB_TBL_ITEMS_GROUPS . " where items_id = '" . $sInfo->items_id . "' and attendees_group_id =  '" . $sInfo->attendees_group_id . "'");
		if ($attendee_group_price = go_db_fetch_array($attendee_group_price_query)) {
			$sInfo->items_price = $attendee_group_price['attendees_group_price'];
		}
	  } 
    }
?>
      <tr><form name="new_special" <?php echo 'action="' . go_href_link(NAME_OF_FILE_SPECIALS, go_get_all_get_parameter(array('action', 'info', 'sID')) . 'action=' . $form_action, 'NONSSL') . '"'; ?> method="post"><?php if ($form_action == 'update') echo go_fetch_hidden_field('specials_id', $_GET['sID']); ?>
        <td><br>
        
        
        
<table cellpadding="5" border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top">        
        
        
        
        
        
        <table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_ITEM; ?>&nbsp;</td>
            <td class="main"><?php echo (isset($sInfo->items_name)) ? $sInfo->items_name . ' <small>(' . $currencies->format($sInfo->items_price) . ')</small>' : go_fetch_items_pull_down('items_id', 'style="font-size:10px"', $specials_array); echo go_fetch_hidden_field('items_price', (isset($sInfo->items_price) ? $sInfo->items_price : '')); ?></td>
          </tr>
		  <!-- B2B start -->
		  <tr>
            <td class="main"><?php echo TEXT_SPECIALS_GROUPS; ?>&nbsp;</td>
            <td class="main"><?php echo go_fetch_pull_down_menu('attendees_group', go_get_attendees_group('retail'), (isset($sInfo->attendees_group_id)? $sInfo->attendees_group_id:''));?> </td>
          </tr>
		  <!-- B2B end -->
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_SPECIAL_PRICE; ?>&nbsp;</td>
            <td class="main"><?php echo go_fetch_inputfeld('specials_price', (isset($sInfo->specials_new_items_price) ? $sInfo->specials_new_items_price : '')); ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_EXPIRES_DATE; ?>&nbsp;</td>
            <td class="main"><?php echo go_fetch_inputfeld('day', (isset($sInfo->expires_date) ? substr($sInfo->expires_date, 8, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . go_fetch_inputfeld('month', (isset($sInfo->expires_date) ? substr($sInfo->expires_date, 5, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . go_fetch_inputfeld('year', (isset($sInfo->expires_date) ? substr($sInfo->expires_date, 0, 4) : ''), 'size="4" maxlength="4" class="cal-TextBox"'); ?><a class="so-BtnLink" href="javascript:calClick();return false;" onmouseover="calSwapImg('BTN_date', 'img_Date_OVER',true);" onmouseout="calSwapImg('BTN_date', 'img_Date_UP',true);" onclick="calSwapImg('BTN_date', 'img_Date_DOWN');showCalendar('new_special','dteWhen','BTN_date');return false;"><?php echo go_picture(FOLDER_RELATIV_PICTURES . 'cal_date_up.gif', 'Calendar', '22', '17', 'align="absmiddle" name="BTN_date"'); ?></a></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><br><?php echo TEXT_SPECIALS_PRICE_TIP; ?></td>
            <td class="main" align="right" valign="top"><br><?php echo (($form_action == 'insert') ? go_picture_submit('button_insert.gif', PICTURE_INSERT) : go_picture_submit('button_update.gif', PICTURE_UPDATE)). '&nbsp;&nbsp;&nbsp;<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . (isset($_GET['sID']) ? '&sID=' . $_GET['sID'] : '')) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>'; ?></td>
          </tr>
        </table></td>
      </form></tr>
<?php
  } else {
?>
      <tr>
        <td><table cellpadding="5" border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" cellpadding="5" cellspacing="1" style="border-collapse: collapse" width="100%" id="AutoNumber1">
              <tr class="tbUPCountData">
                <td class="tbUPDataInside"><?php echo DB_TBL_ABOVE_ITEMS; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_ITEMS_PRICE; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_STATUS; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_ACTION; ?>&nbsp;</td>
              </tr>
<?php 
	$all_groups=array();
	$attendees_groups_query = go_db_query("select attendees_group_name, attendees_group_id from " . DB_TBL_ATTENDEES_GROUPS . " order by attendees_group_id ");
    while ($existing_groups =  go_db_fetch_array($attendees_groups_query)) {
      $all_groups[$existing_groups['attendees_group_id']]=$existing_groups['attendees_group_name'];
    }
    $specials_query_raw = "select p.items_id, pd.items_name, p.items_price, s.specials_id, s.attendees_group_id, s.specials_new_items_price, s.specials_date_added, s.specials_last_modified, s.expires_date, s.date_status_change, s.status from " . DB_TBL_ITEMS . " p, " . DB_TBL_SPECIALS . " s, " . DB_TBL_ITEMS_DESCRIPTION . " pd where p.items_id = pd.items_id and pd.language_id = '" . (int)$languages_id . "' and p.items_id = s.items_id order by pd.items_name"; 
    $specials_split = new splitPageResults($_GET['page'], MAX_SHOW_SEARCH_RESULTS, $specials_query_raw, $specials_query_numrows);
    $specials_query = go_db_query($specials_query_raw);
    while ($specials = go_db_fetch_array($specials_query)) {
      if ((!isset($_GET['sID']) || (isset($_GET['sID']) && ($_GET['sID'] == $specials['specials_id']))) && !isset($sInfo)) {
        $items_query = go_db_query("select items_picture from " . DB_TBL_ITEMS . " where items_id = '" . (int)$specials['items_id'] . "'");
        $items = go_db_fetch_array($items_query);
        $sInfo_array = array_merge($specials, $items);
        $sInfo = new objectInfo($sInfo_array);
      }
      if (isset($sInfo) && is_object($sInfo) && ($specials['specials_id'] == $sInfo->specials_id)) {
        echo '                  <tr id="defaultSelected" class="tbCountDataSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=change') . '\'">' . "\n";
      } else {
        echo '                  <tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials['specials_id']) . '\'">' . "\n";
      } 
	  $sattendee_group_price_query = go_db_query("select attendees_group_price from " . DB_TBL_ITEMS_GROUPS . " where items_id = '" . $specials['items_id']. "' and attendees_group_id =  '" . $sInfo->attendees_group_id . "'");
	  if ($sattendee_group_price = go_db_fetch_array($sattendee_group_price_query))
	  	$sInfo->items_price=$specials['items_price']=$sattendee_group_price['attendees_group_price']; 
?>
                <td  class="TbInsideData"><?php echo $specials['items_name']; ?></td>
                <td  class="TbInsideData" align="right"><span class="oldPrice"><?php echo $currencies->format($specials['items_price']); ?></span> <span class="specialPrice"><?php 
						echo $currencies->format($specials['specials_new_items_price']." (".$all_groups[$specials['attendees_group_id']].")"); 
					 ?></span></td>
                <td  class="TbInsideData" align="right">
<?php
      if ($specials['status'] == '1') {
        echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green.gif', PICTURE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'action=setflag&flag=0&id=' . $specials['specials_id'], 'NONSSL') . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red_light.gif', PICTURE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
      } else {
        echo '<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'action=setflag&flag=1&id=' . $specials['specials_id'], 'NONSSL') . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green_light.gif', PICTURE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red.gif', PICTURE_ICON_STATUS_RED, 10, 10);
      }
?>		</td>
                <td class="TbInsideData" align="right"><?php if (isset($sInfo) && is_object($sInfo) && ($specials['specials_id'] == $sInfo->specials_id)) { echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials['specials_id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_info.gif', PICTURE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
      		</tr>
<?php
    }
?>
              <tr>
                <td colspan="4"><table border="0" width="100%" cellpadding="0"cellspacing="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $specials_split->display_count($specials_query_numrows, MAX_SHOW_SEARCH_RESULTS, $_GET['page'], TEXT_SHOW_NUMBER_OF_SPECIALS); ?></td>
                    <td class="smallText" align="right"><?php echo $specials_split->display_links($specials_query_numrows, MAX_SHOW_SEARCH_RESULTS, MAX_SHOW_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
<?php
  if (empty($action)) {
?>
                  <tr>
                    <td colspan="2" align="right"><?php echo '<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&action=new') . '">' . go_picture_button('button_new_item.gif', PICTURE_NEW_ITEM) . '</a>'; ?></td>
                  </tr>
<?php
  }
?>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($action) {
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_INFO_ABOVE_DELETE_SPECIALS . '</b>');
      $contents = array('form' => go_fetch_form('specials', NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $sInfo->items_name . '</b>');
      $contents[] = array('align' => 'center', 'text' => '<br>' . go_picture_submit('button_delete.gif', PICTURE_DELETE) . '&nbsp;<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>');
      break;
    default:
      if (is_object($sInfo)) {
        $heading[] = array('text' => '<b>' . $sInfo->items_name . '</b>');
        $contents[] = array('align' => 'center', 'text' => '<a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=change') . '">' . go_picture_button('button_change.gif', PICTURE_CHANGE) . '</a> <a href="' . go_href_link(NAME_OF_FILE_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=delete') . '">' . go_picture_button('button_delete.gif', PICTURE_DELETE) . '</a>');
        $contents[] = array('text' => '<br>' . TEXT_INFO_DATE_ADDED . ' ' . go_date_short($sInfo->specials_date_added));
        $contents[] = array('text' => '' . TEXT_INFO_LAST_MODIFIED . ' ' . go_date_short($sInfo->specials_last_modified));
        $contents[] = array('align' => 'center', 'text' => '<br>' . go_info_picture($sInfo->items_picture, $sInfo->items_name, SMALL_PICTURE_WIDTH, SMALL_PICTURE_HEIGHT));
        $contents[] = array('text' => '<br>' . TEXT_INFO_ORIGINAL_PRICE . ' ' . $currencies->format($sInfo->items_price));
        $contents[] = array('text' => '' . TEXT_INFO_NEW_PRICE . ' ' . $currencies->format($sInfo->specials_new_items_price));
        $contents[] = array('text' => '' . TEXT_INFO_PERCENTAGE . ' ' . @number_format(100 - (($sInfo->specials_new_items_price / $sInfo->items_price) * 100)) . '%');
        $contents[] = array('text' => '<br>' . TEXT_INFO_EXPIRES_DATE . ' <b>' . go_date_short($sInfo->expires_date) . '</b>');
        $contents[] = array('text' => '' . TEXT_INFO_STATUS_CHANGE . ' ' . go_date_short($sInfo->date_status_change));
      }
      break;
  }
  if ( (go_not_null($heading)) && (go_not_null($contents)) ) {
    echo '            <td width="25%" valign="top"><br>' . "\n";
    $frame = new frame;
    echo $frame->infoBox($heading, $contents);
    echo '            </td>' . "\n";
  }
}
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
